12921

pip installation of gmpy2

Question:

When I used pip to install gmpy2, I always got the version 1.16, i.e. gmpy instead of gmpy2.

$ pip search gmpy gmpy - GMP or MPIR interface to Python 2.4+ and 3.x INSTALLED: 1.16 (latest)

Is there any way to directly install gmpy2 through pip?

Answer1:

I have added gmpy2 to the <a href="http://pypi.python.org/pypi" rel="nofollow">Python Package Index</a>.

gmpy2 requires GMP 5.0 or later, MPFR 3.1 or later, and MPC 1.0 or later. You may need to compile your own version of those libraries if your operating system doesn't provide the latest versions. Please see <a href="http://code.google.com/p/gmpy/wiki/InstallingGmpy2" rel="nofollow">Installing GMPY2</a> for details.

Answer2:

<a href="http://code.google.com/p/gmpy/" rel="nofollow">gmpy2</a> is now in beta. I think this is why it is not available in pypi.

Answer3:

No. GMPY2 is not in the <a href="http://pypi.python.org/pypi?%3aaction=search&term=gmpy&submit=search" rel="nofollow">Python Package Index</a>, which pip uses. Only version 1.16 is. It seems like their documentation on Google Code might be wrong.

Recommend

  • my javascript in external html is not loading
  • Detect left and right click events on NSStatusItem (Swift)
  • Respond to Website Message Box by Automating InternetExplorer with VBA
  • How to wrap string in span before and after all newlines in PHP?
  • Mocking OpenXML with Moq
  • Selenium 2 : finding web element locators programatically
  • How to Enable Systemd service in openshift/jenkins-1-centos7 docker container?
  • Select Checkbox !== Select Row Table
  • How to add a CAGradientLayer to a UIView when using programmatic constraints
  • Django activity stream filter Actions by foreignkey in target model
  • Rails Template Error with Heroku
  • Reading large text file very slow
  • How to get a Builder object from rows related to pivot - Laravel
  • Ellipsis directive with title
  • AppEngine Paypal integration giving SSLCertificateError on localhost, using Python
  • Existing data serialized as hash produces error when upgrading to Rails 5
  • JSF validateLength question
  • Coin change recursive approach
  • Redmine can't generate secret token
  • Launch Dash from Jupyter Notebook
  • Caffe : train network accuracy = 1 constant ! Accuracy issue
  • How to read contents of a directory recursively in Linux Kernel?
  • Auto Increment / Identity Custom Field Type
  • How to create wsdl from xsd
  • using vtkTimerCallback with QVTKRenderWindowInteractor not working
  • DocuSign API Replace template document but keep fields
  • Ways of filling 10 places with number from [1..10] such that digit at ith place has value atmost 1 m
  • didSelectItemAtIndexPath of UICollectionView inside of a UIScrollView is not getting called
  • How to convert days into months using datetime in Python3?
  • Multiple canvases (pages) in Fabric.js
  • Does hibernate load two seprate copies of same instance if they are loaded twice from database?
  • How to use Typescript with libraries like Ampersand.js that parse configs to build prototypes
  • Controller or RestController
  • Excel File upload in asp.net using SqlBulkCopy
  • Year over Year Stats from a Crossfilter Dataset
  • How to turn off notice reporting in xampp?
  • read part of h5 dataset python
  • Why does Rails 3 think xE2x80x89 means â x80 x89
  • Access to a Matlab gui from the web
  • convert json to excel in java